﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace CommonExtensions.ObjectExtensions
{
    public static class ObjectExtensions
    {
        public static bool IsNull(this object obj)
        {
            return obj == null;
        }

        public static List<T> PutInList<T>(this T obj)
        {
            if(obj.IsNull())
                throw new ArgumentNullException("obj");

            return new List<T>() {obj};
        }
    }
}