﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Rhino.Mocks;
using StructureMap;

namespace DBMigrator.Core.Tests
{
    public class TestHelper
    {
        public static T GenerateMockAndRegister<T>()
            where T : class 
        {
            var t = MockRepository.GenerateMock<T>();
            ObjectFactory.Inject(t);
            return t;
        }
    }
}
