﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;

namespace DBMigrator.Core.DBProviders.Configuration
{
    public class DatabaseConfigurationSection : ConfigurationSection
    {
        [ConfigurationCollection(typeof(ConnectionElementCollection))]
        [ConfigurationProperty("connections", IsRequired = true)]
        public ConnectionElementCollection Settings
        {
            get { return (ConnectionElementCollection)this["connections"]; }
        }
    }
}
