﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CommonExtensions.StringExtensions;

namespace DBMigrator.Core.DbObjects.Column
{
    public class DropColumn : IDropColumn
    {
        public Type SqlGenerationType
        {
            get { return typeof(IDropColumn); }
        }

        public string Name { get; private set; }

        public DropColumn(string name)
        {
            if(name.IsBlank())
                throw new ArgumentNullException("name");

            Name = name;
        }
    }
}
