﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DBMigrator.Core.DbObjects.ForeignKey;
using DBMigrator.Core.DbObjects.Table;

namespace DBMigrator.Core.DbObjects.Column
{
    public interface IChangeColumn : ITableChange
    {
        string CurrentName { get; }
        string NewName { get; }
        Type NewType { get; }
        uint NewLength { get; }
        IAddForeignKey NewForeignKey { get; }

        IChangeColumn Rename(string newName);
        IChangeColumn ChangeType<TColumn>();
        IChangeColumn ChangeLength(uint newLength);
    }
}
