﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CommonExtensions.ObjectExtensions;

namespace DBMigrator.Core.DbObjects.Data.Select.From
{
    public class BeginFrom : IBeginFrom
    {
        public IFrom From { get; private set; }
        
        public BeginFrom(IFrom from)
        {
            if(from.IsNull())
                throw new ArgumentNullException("from");

            From = from;
        }
    }
}
