﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DBMigrator.Core.DbObjects.Data.Where
{
    public interface IWhere
    {
        IWhereExpression Expression { get;  }

        IWhereCondition Column<T>(string name, Func<IWhereColumn<T>, IWhereCondition> condition);
        IWhereCondition Group(Func<IWhere, IWhereCondition> where);
    }
}