﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CommonExtensions.StringExtensions;

namespace DBMigrator.Core.DbObjects.ForeignKey
{
    public class DropForeignKey : ForeignKey, IDropForeignKey
    {
        public Type SqlGenerationType
        {
            get { return typeof (IDropForeignKey); }
        }

        public DropForeignKey(string name)
            : base(name)
        {
            if(name.IsBlank())
                throw new ArgumentNullException("name");
        }
    }
}
