﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DBMigrator.Core.DbObjects.Column;

namespace DBMigrator.Core.DbObjects.Table
{
    public interface ITable : IDbObject, IDbChange
    {
        IList<ITableChange> Changes { get; }

        IAddColumn<TColumn> AddColumn<TColumn>(string name);
    }
}
