﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DBMigrator.Core.Execution
{
    public interface IExecutableMigration
    {
        DateTime Version { get; }
        string ConnectionName { get; }
        IMigration Migration { get; }

        IExecutableMigration Initialize(MigrationAttribute attribute, Type migration);
    }
}
