﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CommonExtensions.ObjectExtensions;

namespace CommonExtensions.IEnumerableExtensions
{
    public static class IEnumerableExtensions
    {
        public static bool IsEmpty<T>(this IEnumerable<T> enumerable)
        {
            if(enumerable.IsNull())
                throw new ArgumentNullException("enumerable");

            return enumerable.Count() == 0;
        }
    }
}