﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DBMigrator.Core.DbObjects.ForeignKey;
using DBMigrator.Core.DbObjects.Table;

namespace DBMigrator.Core.DbObjects.Column
{
    public interface IAddColumn : IDbObject, ITableChange
    {
        Type Type { get; }
        IForeignKey ForeignKey { get; }
        uint Length { get; }
        bool IsPrimaryKey { get; }
    }

    public interface IAddColumn<T> : IAddColumn
    {
        IAddColumn<T> SetAsPrimaryKey();
        IAddColumn<T> References(string primaryKeyTable, string primaryKeyColumn);
    }
}
