﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DBMigrator.Core.DbObjects.Data.Insert
{
    public interface IInsertIntoOptions
    {
        string TableName { get; }
        IInsertIntoValues InsertIntoValues { get; }
    }

    public interface IInsertIntoOptions<T> : IInsertIntoOptions, IDbChange
    {
        IInsertIntoValues<T> Table(string tableName);
    }
}
