﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DBMigrator.Core.DbObjects.Data.Select.From.Join;
using DBMigrator.Core.DbObjects.Data.Where;

namespace DBMigrator.Core.DbObjects.Data.Select.From
{
    public interface IFromTable
    {
        string JoinTableName { get; }
        JoinTypes JoinType { get; }
        IJoinOn JoinOn { get; }
        IWhere Where { get; }

        IJoinOn Join(string joinTableName);
        IJoinOn LeftOuterJoin(string joinTableName);
        IJoinOn RightOuterJoin(string joinTableName);
        IJoinOn FullOuterJoin(string joinTableName);
    }
}