﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CommonExtensions.StringExtensions;

namespace DBMigrator.Core.DbObjects.Data.What
{
    public class WhatColumn : IWhatColumn
    {
        public string TableName { get; private set; }
        public string ColumnName { get; private set; }
        
        public WhatColumn(string tableName, string columnName)
        {
            if(columnName.IsBlank())
                throw new ArgumentNullException("columnName");

            TableName = tableName;
            ColumnName = columnName;
        }
    }
}
