﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap;

namespace DBMigrator.Core.DbObjects.Data.Where
{
    public class WhereCondition : IWhereCondition
    {
        public IWhere NextWhere { get; private set;  }
        public WhereConditionCombinationOperators Operator { get; private set; }

        public IWhere And()
        {
            Operator = WhereConditionCombinationOperators.And;
            return NextWhere = ObjectFactory.GetInstance<IWhere>();
        }

        public IWhere Or()
        {
            Operator = WhereConditionCombinationOperators.Or;
            return NextWhere = ObjectFactory.GetInstance<IWhere>();
        }
    }
}
