﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CommonExtensions.StringExtensions;

namespace DBMigrator.Core.DbObjects.Table
{
    public class TableExists : ITableExists
    {
        public Type SqlGenerationType
        {
            get { return typeof (ITableExists); }
        }

        public string TableName { get; private set; }
        
        public TableExists(string tableName)
        {
            if(tableName.IsBlank())
                throw new ArgumentNullException("tableName");

            TableName = tableName;
        }
    }
}
