﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DBMigrator.Core.DBProviders;

namespace DBMigrator.Core.Execution
{
    public interface IVersionManager
    {
        bool IsVersionLoaded(DateTime version, IProvider provider);
        void AddVersion(DateTime version, IProvider provider);
        void RemoveVersion(DateTime version, IProvider provider);
    }
}
