﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DBMigrator.Core
{
    public class MigrationAttribute : Attribute
    {
        public DateTime Version { get; private set; }
        public string ConnectionName { get; private set; }

        public MigrationAttribute(string version, string connectionName)
        {
            Version = DateTime.Parse(version);
            ConnectionName = connectionName;
        }
    }
}
